SDL_WasInit(3)

NAME
SDL_WasInit - Get a mask of the specified subsystems which are currently initialized.

HEADER FILE
Defined in SDL3/SDL_init.h

SYNOPSIS
#include "SDL3/SDL.h"

Uint32 SDL_WasInit(Uint32 flags);

FUNCTION PARAMETERS

flags
    any of the flags used by SDL_Init (); see SDL_Init
     for details.

RETURN VALUE
Returns a mask of all initialized subsystems if flags is 0, otherwise it returns the initialization status of the specified subsystems.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_Init(3), SDL_InitSubSystem(3)